Loading...
Searching...
No Matches
ranges::actions::stride_fn Struct Reference

## Public Member Functions

template<typename D > requires detail::integer_like_<D>
constexpr auto | operator() (D step) const
template<typename Rng , typename D = range_difference_t<Rng>> requires forward_range<Rng> && erasable_range<Rng &, iterator_t<Rng>, sentinel_t<Rng>> && permutable<iterator_t<Rng>>
Rng | operator() (Rng &&rng, range_difference_t< Rng > const step) const

## Related Symbols

(Note that these are not member symbols.)
constexpr stride_fn | stride {}